<?php
/**
 * Created by PhpStorm.
 * User: z-yang
 * Date: 2019/2/26
 * Time: 18:52
 */

namespace App\Modules\Subscribe\Services;

use App\Modules\Subscribe\Models\OrderParam;

class OrderParamService
{
    public static function create($order_id,$gxhp){
        try{
            $other_param = explode('_',$gxhp);
            $appid = isset($other_param[0])?$other_param[0]:0;
            $data_hour_key = isset($other_param[1])?$other_param[1]:'';
            $bid = isset($other_param[2])?$other_param[2]:0;
            $times = isset($other_param[3])?$other_param[3]:0;
            OrderParam::create(compact('order_id','gxhp','appid','data_hour_key','bid','times'));
        }catch (\Exception $e){}
    }
}